<?php  
include_once "../../conexao/functions.php";

if (isset($_POST['submit'])) {
	$nome   = trim($_POST['nome']);
	$app_id = $_POST['app_id'];

	$appInfo = buscarAppsID($app_id);
	// var_dump($_FILES['imagem']); die();

	if (!empty($_FILES['imagem']['name'])) {
		$imagem    = $_FILES['imagem'];
		$tipos 	   = array('jpg', 'png', 'jpeg'); 
		$nome_img  = date("dmyhis");
		$verifica1 = uploadFile($imagem, 'imagens_app/', $tipos, $nome_img);
		if(isset($verifica1['erro'])){
			header("Location: ../home?r=app_erro_edit");
		}
	}else{
		$verifica1['caminho'] = $appInfo['Imagem'];
	}

	if (!empty($_FILES['aplicativo']['name'])) {
		$apk 	   = $_FILES['aplicativo'];
		$tipos     = array('apk', 'exe'); 
		$nome_apk  = date("dmyhis");
		$verifica2 = uploadFile($apk, 'aplicativos/', $tipos, $nome_apk);
		if(isset($verifica2['erro'])){
			header("Location: ../home?r=app_erro_edit");
		}
	}else{
		$verifica2['caminho'] = $appInfo['Link'];
	}
	// var_dump($verifica2['caminho']); die();

	if (editarApp($nome, $verifica2['caminho'], $verifica1['caminho'], $app_id)) {
		header("Location: ../home?r=app_editado");
	}else{
		header("Location: ../home?r=app_erro_edit");
	}

}

if (isset($_POST['app_id'])) {
	$app_id = $_POST['app_id'];
	$infoApp = buscarAppsID($app_id);

	echo '
	<div class="modal-content">
	<div class="modal-header">
	<h5 class="modal-title">Adicionar aplicativo</h5>
	<button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
	</div>
	<div class="modal-body">
	<form action="actions/editar_app.php" method="POST" enctype="multipart/form-data">

	<input type="hidden" name="app_id" value="'.$app_id.'">

	<div class="form-group">
	<label class="col-form-label" for="recipient-name"><b>Nome app:</b></label>
	<input class="form-control" type="text" name="nome" value="'.$infoApp['Nome'].'" required>
	</div>

	<div class="form-group">
	<label class="col-form-label"><b>Imagem app:</b></label>
	<input class="form-control" name="imagem" type="file">
	</div>

	<div class="form-group">
	<label class="col-form-label"><b>Aplicativo (.apk):</b></label>
	<input class="form-control" name="aplicativo" type="file">
	</div>

	<div class="modal-footer">
	<button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
	<button class="btn btn-primary" name="submit" type="submit">Salvar dados</button>
	</div>
	</form>
	</div>
	</div>
	';
}
?>